The officially official Devuan Forum!

You are not logged in.

#1 2020-07-03 15:07:28

roluan17
Member
Registered: 2019-04-01
Posts: 35  

[solved]Upgrading to Beowulf packages held back

I don't know whether my question has anything to do  with the problems described above ...
I did upgrade from ascii to beowulf.

when I do

apt-get upgrade

I get:

Die folgenden Pakete sind zurückgehalten worden:
  elogind libelogind0 libpam-elogind

meaning the following packages have been held back

Everything seems to work fine on my machine, but I'd like to know if I need to take action?
Which part of beowulf needs elogind, libelogind0 and  libpam-elogind?
How could I have found out for myself?

greetings

Last edited by roluan17 (2020-07-04 21:15:02)

Offline

#2 2020-07-03 17:32:28

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 979  
Website

Re: [solved]Upgrading to Beowulf packages held back

roluan17 wrote:

I don't know whether my question has anything to do  with the problems described above ...

No, it does not. Perhaps use the report button and request that this be split into it's own thread.

roluan17 wrote:

I did upgrade from ascii to beowulf.

when I do

apt-get upgrade

I get:

Die folgenden Pakete sind zurückgehalten worden:
  elogind libelogind0 libpam-elogind

meaning the following packages have been held back

Use apt full-upgrade to allow those packages to be installed.

roluan17 wrote:

I'd like to know if I need to take action?

Yes, elogind should be installed to replace systemd-logind.

mckaygerhard wrote:

your problem roluan17 are a devuan problem.. deprecated packages in repository AGAIN

Nonsense.

Last edited by Head_on_a_Stick (2020-07-03 17:34:10)


Black Lives Matter

Offline

#3 2020-07-04 21:13:15

roluan17
Member
Registered: 2019-04-01
Posts: 35  

Re: [solved]Upgrading to Beowulf packages held back

apt full-upgrade

made no difference.
So I tried

apt-get install elogind libelogind0 libpam-elogind 

after update there was no

"packages held back"

message any more.

Thanks for helping.

Last edited by roluan17 (2020-07-04 21:15:28)

Offline

#4 2020-07-06 02:58:30

vlax
Member
From: Oaxaca, Mexico
Registered: 2020-06-14
Posts: 22  
Website

Re: [solved]Upgrading to Beowulf packages held back

it works for me too,

roluan17 wrote:

apt full-upgrade

made no difference.
So I tried

apt-get install elogind libelogind0 libpam-elogind 

after update there was no

"packages held back"

message any more.

Thanks for helping.

yes, thanks


satellite mestizo

Offline

Board footer